#include <amxmodx>
#include <zp50_core>
#include <zp50_class_nemesis>
#include <zp50_class_survivor>
#include <zp50_ammopacks>
#include <fakemeta_util>

#define PLUGIN "[ZP] Shop v2"
#define VERSION "2.0b"
#define AUTHOR "MegasToRM"

new bool:used[33] = false
new g_maxplayers

new szshopzm[][] = 
{
	"ML_ZM_HP1",
	"ML_ZM_HP2",
	"ML_ZM_HP3",
	"ML_ZM_HP4",
	"ML_ZM_NEME",
	"ML_ZM_INVI1",
	"ML_ZM_INVI2",
	"ML_ZM_INVI3",
	"ML_ZM_INVI4"
}

new szshophm[][] = 
{
	"ML_HM_HP1",
	"ML_HM_HP2",
	"ML_HM_HP3",
	"ML_HM_HP4",
	"ML_HM_SURV",
	"ML_HM_INVI1",
	"ML_HM_INVI2",
	"ML_HM_INVI3",
	"ML_HM_INVI4"
}

new szcenahm[] = 
{
	10,
	15,
	25,
	60,
	100,
	50,
	100,
	175,
	200
}

new szcenazm[] = 
{
	10,
	15,
	25,
	60,
	100,
	50,
	100,
	175,
	200
}

new szinfozm[][] = 
{
	"ML_ZM_INFO1",
	"ML_ZM_INFO2",
	"ML_ZM_INFO3",
	"ML_ZM_INFO4",
	"ML_ZM_INFO5",
	"ML_ZM_INFO6",
	"ML_ZM_INFO7",
	"ML_ZM_INFO8",
	"ML_ZM_INFO9"
}

new szinfohm[][] = 
{
	"ML_HM_INFO1",
	"ML_HM_INFO2",
	"ML_HM_INFO3",
	"ML_HM_INFO4",
	"ML_HM_INFO5",
	"ML_HM_INFO6",
	"ML_HM_INFO7",
	"ML_HM_INFO8",
	"ML_HM_INFO9"
}

public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR)
	register_event("HLTV", "Reset_invisibility", "a", "1=0", "2=0") 
	
	register_clcmd("say /zmshop", "zmshop")
	register_clcmd("say /lang","Chooseyourlang")
	
	register_clcmd("say_team /zmshop", "zmshop")
	register_clcmd("say_team /lang","Chooseyourlang")
	
	
	register_dictionary("zp_zmshop.txt")
	
	g_maxplayers = get_maxplayers()
	// Add your code here...
}


public Chooseyourlang(id)
{
	new szItem[32]
	formatex(szItem, 31, "%L", id, "ML_LANGUAGE")
	new menu = menu_create(szItem, "Chooselang_H")
	
	formatex(szItem, 31, "English")
	menu_additem(menu, szItem, "1")
	
	formatex(szItem, 31, "Srpski")
	menu_additem(menu, szItem, "2")

	formatex(szItem, charsmax(szItem), "%L", id, "ML_EXIT")
	menu_setprop(menu, MPROP_EXITNAME, szItem)
	menu_display(id, menu)
}

public Chooselang_H(id, menu, item)
{
	if(item++ == MENU_EXIT)
	{
		menu_destroy(menu);
		return PLUGIN_CONTINUE;
	}
	switch(item)
	{
		case 1:
		{
			set_user_info(id, "lang", "en")
		}
		case 2:
		{
			set_user_info(id, "lang", "sr")
		}
	}
	menu_destroy(menu);
	
	return PLUGIN_CONTINUE;
}

public Reset_invisibility() 
{
	for(new id = 1; id <= g_maxplayers; id++) 
	{
		if(used[id])
		{
			fm_set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 255)  
			used[id] = false
		}
	}
}

public zmshop(id)
{
	if(is_user_alive(id))
	{
		if(zp_core_is_zombie(id) || zp_class_nemesis_get(id)) 
		{
			new szmenu[64], szItem[32];
			
			formatex(szmenu,63,"\rZombie shop:")
			new zmenu = menu_create(szmenu,"zmshop_H")
			
			for(new i = 0; i < sizeof szshopzm; i++)
			{
				formatex(szmenu, 63,"[\w%L \y%L \r%dAmmo]", id, szshopzm[i], id, szinfozm[i], szcenazm[i]);
				menu_additem(zmenu,szmenu);
			}
			
			formatex(szItem, 31, "%L", id, "ML_BACK")
			menu_setprop(zmenu, MPROP_BACKNAME, szItem)
			;
			formatex(szItem, 31, "%L", id, "ML_NEXT")
			menu_setprop(zmenu, MPROP_NEXTNAME, szItem);
			
			formatex(szItem, 31, "%L", id, "ML_EXIT")
			menu_setprop(zmenu, MPROP_EXITNAME, szItem);
			
			menu_display(id,zmenu)
		}
		else if(!zp_core_is_zombie(id) || zp_class_survivor_get(id))
		{
			new szmenu[64], szItem[32];
			
			formatex(szmenu, 63,"\wHuman Shop:")
			new hmenu = menu_create(szmenu,"hmshop_H")
			
			for(new i = 0; i < sizeof szshopzm; i++)
			{
				formatex(szmenu, 63,"[\w%L \y%L \r%dAmmo]", id, szshophm[i], id, szinfohm[i], szcenahm[i]);
				menu_additem(hmenu,szmenu);
			}
			
			formatex(szItem, 31, "%L", id, "ML_BACK")
			menu_setprop(hmenu, MPROP_BACKNAME, szItem);
			
			formatex(szItem, 31, "%L", id, "ML_NEXT")
			menu_setprop(hmenu, MPROP_NEXTNAME, szItem);
			
			formatex(szItem, 31, "%L", id, "ML_EXIT")
			menu_setprop(hmenu, MPROP_EXITNAME, szItem);
			
			menu_display(id,hmenu)
		}
	}
}

public zmshop_H(id, menuzm, item)
{
	if(item == MENU_EXIT)
	{
		menu_destroy(menuzm);
		return PLUGIN_HANDLED;
	}
	if(szcenazm[item] > zp_ammopacks_get(id))
	{
		client_print(id, print_chat, "[ZP] %L", id, "ML_NOTENOUGH")
		menu_destroy(menuzm);
		zmshop(id)
		return PLUGIN_HANDLED;
	}
	zp_ammopacks_set(id, zp_ammopacks_get(id) - szcenazm[item]);
	client_print(id, print_chat, "[ZP] %L %L", id, "ML_BOUGHT",id, szshopzm[item])
	
	switch(item)
	{
		case 0:
		{
			fm_set_user_health(id, get_user_health(id) + 250)
			menu_destroy(menuzm)
		}
		case 1:
		{
			fm_set_user_health(id, get_user_health(id) + 500)
			menu_destroy(menuzm)
		}
		case 2:
		{
			fm_set_user_health(id, get_user_health(id) + 1000)
			menu_destroy(menuzm)
		}
		case 3:
		{
			fm_set_user_health(id, get_user_health(id) + 2500)
			menu_destroy(menuzm)
		}
		case 4:
		{
			zp_class_nemesis_set(id)
			menu_destroy(menuzm)
		}
		case 5:
		{
			fm_set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 178);
			used[id] = true
			menu_destroy(menuzm)
		}
		case 6:
		{
			fm_set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 128);
			used[id] = true
			menu_destroy(menuzm)
		}
		case 7:
		{
			fm_set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 64);
			used[id] = true
			menu_destroy(menuzm)
			
		}
		case 8:
		{	
			fm_set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 26);
			used[id] = true
			menu_destroy(menuzm)
		}
	}
	return PLUGIN_HANDLED;
}

public hmshop_H(id, menuhm, item)
{
	if(item == MENU_EXIT)
	{
		menu_destroy(menuhm);
		return PLUGIN_HANDLED;
	}
	if(szcenahm[item] > zp_ammopacks_get(id))
	{
		client_print(id, print_chat, "[ZP] %L", id, "ML_NOTENOUGH")
		menu_destroy(menuhm);
		zmshop(id)
		return PLUGIN_HANDLED;
	}
	zp_ammopacks_set(id, zp_ammopacks_get(id) - szcenahm[item]);
	client_print(id, print_chat, "[ZP] %L %L", id, "ML_BOUGHT",id, szshophm[item])
	
	switch(item)
	{
		case 0:
		{
			fm_set_user_health(id, get_user_health(id) + 250)
			menu_destroy(menuhm);
		}
		case 1:
		{
			fm_set_user_health(id, get_user_health(id) + 500)
			menu_destroy(menuhm);
		}
		case 2:
		{
			fm_set_user_health(id, get_user_health(id) + 1000)
			menu_destroy(menuhm);
		}
		case 3:
		{
			fm_set_user_health(id, get_user_health(id) + 2500)
			menu_destroy(menuhm);
		}
		case 4:
		{
			zp_class_survivor_set(id)
			menu_destroy(menuhm);
		}
		case 5:
		{
			fm_set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 178);
			used[id] = true
			menu_destroy(menuhm);
		}
		case 6:
		{
			fm_set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 128);
			used[id] = true
			menu_destroy(menuhm);
		}
		case 7:
		{
			fm_set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 64);
			used[id] = true
			menu_destroy(menuhm);
		}
		case 8:
		{
			fm_set_user_rendering(id, kRenderFxGlowShell, 0, 0, 0, kRenderTransColor, 26);
			used[id] = true
			menu_destroy(menuhm);
		}
	}
	return PLUGIN_HANDLED;
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1033\\ f0\\ fs16 \n\\ par }
*/
